UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Contributor
Contributor
165 Views
Registered: ‎11-10-2017

[XRT]ERROR: bad binary version : HW-Emulation and System-run cannot run on SDAccel.

Hello, I am using SDAccel 2019.1 and Alveo U200.

I am trying the tutorial project in SDAccel-Tutorials repository.

I imported some source codes and build for all.(SW-Emulation/HW-Emulation/System). Build was successfully finished.

I haven't make any modification to source codes.

SW-Emulation works well, but HW-Emulation and System can't run.

The log is the following. 

Using FPGA binary file specfied through the command line: ~/workspace2/mixed_c_rtl/System/binary_container_1.xclbin
Loading: '~/workspace2/mixed_c_rtl/System/binary_container_1.xclbin'
XRT build version: 2.2.2169
Build hash: e965ccddadf932de846823ab6fbb1b9f49ecc0e0
Build date: 2019-06-12 23:13:18
Git branch: 2019.1
PID: 26040
UID: 1005
[Thu Jul 11 21:32:03 2019]
HOST: *****
EXE: /home/*****/workspace2/mixed_c_rtl/System/mixed_c_rtl.exe
[XRT] ERROR: bad binary version '
[XRT] ERROR: program is nullptr

I also tried to run System-run on command line, and it works well

~/workspace2/mixed_c_rtl/System$ ./mixed_c_rtl.exe binary_container_1.xclbin
Using FPGA binary file specfied through the command line: /home/*****/workspace2/mixed_c_rtl/System/binary_container_1.xclbin
Loading: '/home/*****/workspace2/mixed_c_rtl/System/binary_container_1.xclbin'
TEST WITH ONE KERNEL PASSED

 

Please tell me why HW-emulation and System-run cannot run on SDAccel. Is my configuration of SDAccel wrong?

I installed 2019.1 version for XRT(Xilinx Runtime) and SDAccel, and 2018.3 for Development Shell.

(2019.1 Development Shell is not available for now, and Xilinx says 2019.1 XRT is compatible for 2018.3 shell)

Thanks in advance.

 

0 Kudos
2 Replies
Xilinx Employee
Xilinx Employee
130 Views
Registered: ‎03-24-2010

回复: [XRT]ERROR: bad binary version : HW-Emulation and System-run cannot run on SDAccel.

Maybe you have set "XCL_EMULATION_MODE" to "sw_emu" in you environment.

Please unset "XCL_EMULATION_MODE" and relaunch gui, and try again.

Regards,
brucey
----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.
----------------------------------------------------------------------------------------------
0 Kudos
Contributor
Contributor
111 Views
Registered: ‎11-10-2017

回复: [XRT]ERROR: bad binary version : HW-Emulation and System-run cannot run on SDAccel.

Thank you for your reply. 

But "XCL_EMULATION_MODE" was not set in my environment.

And also, when I set "XCL_EMULATION_MODE" to "hw_emu" before launch gui, the same error was occurred...

What's wrong? I can't understand the meaning of error message. ([XRT] ERROR: bad binary version ')

0 Kudos